| Parameter | Type | Default | Description |
|---|---|---|---|
| per_page | integer | 100 | Number of results to be returned per request (100 is the maximum) |
| page_no | integer | 1 | Number of results page |
| ids | integer[] | null | When given, returned file records are filtered by id |
| file_identifiers | string[] | null | When given, returned file records are filtered by file's type & identifier. Format: #{type}:#{identifier}. |
| with_inactive | boolean | false | When true fetches also inactive file records |
{
"file_records": {} // see: FileRecord model
}{
"ids": [
0
],
"file_identifiers": [
"string"
],
"file_type": "string",
"with_inactive": true
}curl --location --request GET 'https://api.mpc.dev.placewise.com/v1/files' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json' \
--data '{
"ids": [
0
],
"file_identifiers": [
"string"
],
"file_type": "string",
"with_inactive": true
}'{
"file_records": {
"id": 0,
"type": "string",
"identifier": "string",
"sub_identifier": "string",
"customer_id": 0,
"loyalty_club_id": 0,
"user_id": "string",
"url": null,
"filename": "string",
"mime_type": "string",
"size": 0,
"created_at": "string",
"updated_at": "string",
"active": true,
"last_active_at": null,
"duplicated_from_file_record_id": null
}
}